/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<badge.hpp>)
#  include <badge.hpp>
#endif
#if __has_include(<blur_mask.hpp>)
#  include <blur_mask.hpp>
#endif
#if __has_include(<button.hpp>)
#  include <button.hpp>
#endif
#if __has_include(<circular_indicator_updator.hpp>)
#  include <circular_indicator_updator.hpp>
#endif
#if __has_include(<color.hpp>)
#  include <color.hpp>
#endif
#if __has_include(<color_picker.hpp>)
#  include <color_picker.hpp>
#endif
#if __has_include(<corner.hpp>)
#  include <corner.hpp>
#endif
#if __has_include(<displayhint.h>)
#  include <displayhint.h>
#endif
#if __has_include(<enum.hpp>)
#  include <enum.hpp>
#endif
#if __has_include(<icon.hpp>)
#  include <icon.hpp>
#endif
#if __has_include(<input_block.hpp>)
#  include <input_block.hpp>
#endif
#if __has_include(<item_proxy.hpp>)
#  include <item_proxy.hpp>
#endif
#if __has_include(<linear_indicator_updator.hpp>)
#  include <linear_indicator_updator.hpp>
#endif
#if __has_include(<loading_indicator_updator.hpp>)
#  include <loading_indicator_updator.hpp>
#endif
#if __has_include(<page_context.hpp>)
#  include <page_context.hpp>
#endif
#if __has_include(<palette_model.hpp>)
#  include <palette_model.hpp>
#endif
#if __has_include(<pool.hpp>)
#  include <pool.hpp>
#endif
#if __has_include(<qml_util.hpp>)
#  include <qml_util.hpp>
#endif
#if __has_include(<rectangle.hpp>)
#  include <rectangle.hpp>
#endif
#if __has_include(<round_item.hpp>)
#  include <round_item.hpp>
#endif
#if __has_include(<rrect_shadow.hpp>)
#  include <rrect_shadow.hpp>
#endif
#if __has_include(<segmented_button.hpp>)
#  include <segmented_button.hpp>
#endif
#if __has_include(<snake_model.hpp>)
#  include <snake_model.hpp>
#endif
#if __has_include(<split_button.hpp>)
#  include <split_button.hpp>
#endif
#if __has_include(<state.hpp>)
#  include <state.hpp>
#endif
#if __has_include(<theme.hpp>)
#  include <theme.hpp>
#endif
#if __has_include(<token.hpp>)
#  include <token.hpp>
#endif
#if __has_include(<toolbarlayout.h>)
#  include <toolbarlayout.h>
#endif
#if __has_include(<type_scale.hpp>)
#  include <type_scale.hpp>
#endif
#if __has_include(<wheelhandler.h>)
#  include <wheelhandler.h>
#endif
#if __has_include(<width_provider.hpp>)
#  include <width_provider.hpp>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_Qcm_Material()
{
    qmlRegisterModule("Qcm.Material", 254, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<DisplayHint>("Qcm.Material", 254);
    qmlRegisterEnum<DisplayHint::Hint>("DisplayHint::Hint");
    qmlRegisterEnum<DisplayHint::DisplayHints>("DisplayHint::DisplayHints");
    qmlRegisterEnum<DisplayHint::Hint>("DisplayHint::Hint");
    QMetaType::fromType<QQuickAttachedPropertyPropagator *>().id();
    qmlRegisterTypesAndRevisions<ToolBarLayout>("Qcm.Material", 254);
    qmlRegisterAnonymousType<QQuickItem, 254>("Qcm.Material", 254);
    qmlRegisterEnum<ToolBarLayout::HeightMode>("ToolBarLayout::HeightMode");
    QMetaType::fromType<ToolBarLayoutAttached *>().id();
    qmlRegisterTypesAndRevisions<WheelHandler>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::BlurMask>("Qcm.Material", 254);
    qmlRegisterEnum<qml_material::BlurMask::Style>("qml_material::BlurMask::Style");
    qmlRegisterTypesAndRevisions<qml_material::CircularIndicatorUpdator>("Qcm.Material", 254);
    qmlRegisterEnum<qml_material::CircularIndicatorUpdator::IndeterminateAnimationType>("qml_material::CircularIndicatorUpdator::IndeterminateAnimationType");
    qmlRegisterTypesAndRevisions<qml_material::ColorPicker>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::CornersGroup>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::Enum>("Qcm.Material", 254);
    qmlRegisterEnum<qml_material::Enum::ThemeMode>("qml_material::Enum::ThemeMode");
    qmlRegisterEnum<qml_material::Enum::IconLabelStyle>("qml_material::Enum::IconLabelStyle");
    qmlRegisterEnum<qml_material::Enum::ButtonSize>("qml_material::Enum::ButtonSize");
    qmlRegisterEnum<qml_material::Enum::ButtonWidthMode>("qml_material::Enum::ButtonWidthMode");
    qmlRegisterEnum<qml_material::Enum::ButtonType>("qml_material::Enum::ButtonType");
    qmlRegisterEnum<qml_material::Enum::IconButtonType>("qml_material::Enum::IconButtonType");
    qmlRegisterEnum<qml_material::Enum::FABType>("qml_material::Enum::FABType");
    qmlRegisterEnum<qml_material::Enum::FABColor>("qml_material::Enum::FABColor");
    qmlRegisterEnum<qml_material::Enum::CardType>("qml_material::Enum::CardType");
    qmlRegisterEnum<qml_material::Enum::TextFieldType>("qml_material::Enum::TextFieldType");
    qmlRegisterEnum<qml_material::Enum::ListItemHeightMode>("qml_material::Enum::ListItemHeightMode");
    qmlRegisterEnum<qml_material::Enum::TabType>("qml_material::Enum::TabType");
    qmlRegisterEnum<qml_material::Enum::AppBarType>("qml_material::Enum::AppBarType");
    qmlRegisterEnum<qml_material::Enum::ToastFlag>("qml_material::Enum::ToastFlag");
    qmlRegisterEnum<qml_material::Enum::WindowClassType>("qml_material::Enum::WindowClassType");
    qmlRegisterEnum<qml_material::Enum::PaletteType>("qml_material::Enum::PaletteType");
    qmlRegisterEnum<qml_material::Enum::ItemPosition>("qml_material::Enum::ItemPosition");
    qmlRegisterTypesAndRevisions<qml_material::InputBlock>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::ItemProxy>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::LinearActiveIndicatorData>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::LinearIndicatorUpdator>("Qcm.Material", 254);
    qmlRegisterEnum<qml_material::LinearIndicatorUpdator::IndeterminateAnimationType>("qml_material::LinearIndicatorUpdator::IndeterminateAnimationType");
    qmlRegisterTypesAndRevisions<qml_material::LoadingIndicatorUpdator>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::MdColorMgr>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::PageContext>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::PaletteModel>("Qcm.Material", 254);
    qmlRegisterAnonymousType<QAbstractItemModel, 254>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::Pool>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::RRectShadow>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::Rectangle>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::RoundItem>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::SnakeModel>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::State>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::Theme>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::ThemeSize>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::Util>("Qcm.Material", 254);
    qmlRegisterEnum<qml_material::Util::Track>("qml_material::Util::Track");
    qmlRegisterTypesAndRevisions<qml_material::WidthProvider>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::BadgeSize>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::BadgeSizeItem>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::ButtonSize>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::ButtonSizeItem>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::Duration>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::Easing>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::Elevation>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::Flick>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::IconButtonSize>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::IconButtonSizeItem>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::IconToken>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::SegmentedButtonSize>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::SegmentedButtonSizeItem>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::Shape>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::ShapeCorner>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::Spacing>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::SplitButtonSize>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::SplitButtonSizeItem>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::State>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::StateItem>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::Token>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::TypeScale>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::TypeScaleItem>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::WindowClass>("Qcm.Material", 254);
    qmlRegisterTypesAndRevisions<qml_material::token::WindowClassItem>("Qcm.Material", 254);
    QT_WARNING_POP
    qmlRegisterModule("Qcm.Material", 254, 254);
}

static const QQmlModuleRegistration qcmMaterialRegistration("Qcm.Material", qml_register_types_Qcm_Material);
